package mhp.oee.po.gen;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class ResourcePlcInfoPOExample {
    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database table resource_plc_info
     *
     * @mbggenerated
     */
    protected String orderByClause;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database table resource_plc_info
     *
     * @mbggenerated
     */
    protected boolean distinct;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database table resource_plc_info
     *
     * @mbggenerated
     */
    protected List<Criteria> oredCriteria;

    private Integer limit;

    private Integer offset;

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_plc_info
     *
     * @mbggenerated
     */
    public ResourcePlcInfoPOExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_plc_info
     *
     * @mbggenerated
     */
    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_plc_info
     *
     * @mbggenerated
     */
    public String getOrderByClause() {
        return orderByClause;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_plc_info
     *
     * @mbggenerated
     */
    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_plc_info
     *
     * @mbggenerated
     */
    public boolean isDistinct() {
        return distinct;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_plc_info
     *
     * @mbggenerated
     */
    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_plc_info
     *
     * @mbggenerated
     */
    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_plc_info
     *
     * @mbggenerated
     */
    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_plc_info
     *
     * @mbggenerated
     */
    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_plc_info
     *
     * @mbggenerated
     */
    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_plc_info
     *
     * @mbggenerated
     */
    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    public void setLimit(Integer limit) {
        this.limit = limit;
    }

    public Integer getLimit() {
        return limit;
    }

    public void setOffset(Integer offset) {
        this.offset = offset;
    }

    public Integer getOffset() {
        return offset;
    }

    /**
     * This class was generated by MyBatis Generator.
     * This class corresponds to the database table resource_plc_info
     *
     * @mbggenerated
     */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andHandleIsNull() {
            addCriterion("HANDLE is null");
            return (Criteria) this;
        }

        public Criteria andHandleIsNotNull() {
            addCriterion("HANDLE is not null");
            return (Criteria) this;
        }

        public Criteria andHandleEqualTo(String value) {
            addCriterion("HANDLE =", value, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleNotEqualTo(String value) {
            addCriterion("HANDLE <>", value, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleGreaterThan(String value) {
            addCriterion("HANDLE >", value, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleGreaterThanOrEqualTo(String value) {
            addCriterion("HANDLE >=", value, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleLessThan(String value) {
            addCriterion("HANDLE <", value, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleLessThanOrEqualTo(String value) {
            addCriterion("HANDLE <=", value, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleLike(String value) {
            addCriterion("HANDLE like", value, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleNotLike(String value) {
            addCriterion("HANDLE not like", value, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleIn(List<String> values) {
            addCriterion("HANDLE in", values, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleNotIn(List<String> values) {
            addCriterion("HANDLE not in", values, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleBetween(String value1, String value2) {
            addCriterion("HANDLE between", value1, value2, "handle");
            return (Criteria) this;
        }

        public Criteria andHandleNotBetween(String value1, String value2) {
            addCriterion("HANDLE not between", value1, value2, "handle");
            return (Criteria) this;
        }

        public Criteria andSiteIsNull() {
            addCriterion("SITE is null");
            return (Criteria) this;
        }

        public Criteria andSiteIsNotNull() {
            addCriterion("SITE is not null");
            return (Criteria) this;
        }

        public Criteria andSiteEqualTo(String value) {
            addCriterion("SITE =", value, "site");
            return (Criteria) this;
        }

        public Criteria andSiteNotEqualTo(String value) {
            addCriterion("SITE <>", value, "site");
            return (Criteria) this;
        }

        public Criteria andSiteGreaterThan(String value) {
            addCriterion("SITE >", value, "site");
            return (Criteria) this;
        }

        public Criteria andSiteGreaterThanOrEqualTo(String value) {
            addCriterion("SITE >=", value, "site");
            return (Criteria) this;
        }

        public Criteria andSiteLessThan(String value) {
            addCriterion("SITE <", value, "site");
            return (Criteria) this;
        }

        public Criteria andSiteLessThanOrEqualTo(String value) {
            addCriterion("SITE <=", value, "site");
            return (Criteria) this;
        }

        public Criteria andSiteLike(String value) {
            addCriterion("SITE like", value, "site");
            return (Criteria) this;
        }

        public Criteria andSiteNotLike(String value) {
            addCriterion("SITE not like", value, "site");
            return (Criteria) this;
        }

        public Criteria andSiteIn(List<String> values) {
            addCriterion("SITE in", values, "site");
            return (Criteria) this;
        }

        public Criteria andSiteNotIn(List<String> values) {
            addCriterion("SITE not in", values, "site");
            return (Criteria) this;
        }

        public Criteria andSiteBetween(String value1, String value2) {
            addCriterion("SITE between", value1, value2, "site");
            return (Criteria) this;
        }

        public Criteria andSiteNotBetween(String value1, String value2) {
            addCriterion("SITE not between", value1, value2, "site");
            return (Criteria) this;
        }

        public Criteria andResourceBoIsNull() {
            addCriterion("RESOURCE_BO is null");
            return (Criteria) this;
        }

        public Criteria andResourceBoIsNotNull() {
            addCriterion("RESOURCE_BO is not null");
            return (Criteria) this;
        }

        public Criteria andResourceBoEqualTo(String value) {
            addCriterion("RESOURCE_BO =", value, "resourceBo");
            return (Criteria) this;
        }

        public Criteria andResourceBoNotEqualTo(String value) {
            addCriterion("RESOURCE_BO <>", value, "resourceBo");
            return (Criteria) this;
        }

        public Criteria andResourceBoGreaterThan(String value) {
            addCriterion("RESOURCE_BO >", value, "resourceBo");
            return (Criteria) this;
        }

        public Criteria andResourceBoGreaterThanOrEqualTo(String value) {
            addCriterion("RESOURCE_BO >=", value, "resourceBo");
            return (Criteria) this;
        }

        public Criteria andResourceBoLessThan(String value) {
            addCriterion("RESOURCE_BO <", value, "resourceBo");
            return (Criteria) this;
        }

        public Criteria andResourceBoLessThanOrEqualTo(String value) {
            addCriterion("RESOURCE_BO <=", value, "resourceBo");
            return (Criteria) this;
        }

        public Criteria andResourceBoLike(String value) {
            addCriterion("RESOURCE_BO like", value, "resourceBo");
            return (Criteria) this;
        }

        public Criteria andResourceBoNotLike(String value) {
            addCriterion("RESOURCE_BO not like", value, "resourceBo");
            return (Criteria) this;
        }

        public Criteria andResourceBoIn(List<String> values) {
            addCriterion("RESOURCE_BO in", values, "resourceBo");
            return (Criteria) this;
        }

        public Criteria andResourceBoNotIn(List<String> values) {
            addCriterion("RESOURCE_BO not in", values, "resourceBo");
            return (Criteria) this;
        }

        public Criteria andResourceBoBetween(String value1, String value2) {
            addCriterion("RESOURCE_BO between", value1, value2, "resourceBo");
            return (Criteria) this;
        }

        public Criteria andResourceBoNotBetween(String value1, String value2) {
            addCriterion("RESOURCE_BO not between", value1, value2, "resourceBo");
            return (Criteria) this;
        }

        public Criteria andPlcIpIsNull() {
            addCriterion("PLC_IP is null");
            return (Criteria) this;
        }

        public Criteria andPlcIpIsNotNull() {
            addCriterion("PLC_IP is not null");
            return (Criteria) this;
        }

        public Criteria andPlcIpEqualTo(String value) {
            addCriterion("PLC_IP =", value, "plcIp");
            return (Criteria) this;
        }

        public Criteria andPlcIpNotEqualTo(String value) {
            addCriterion("PLC_IP <>", value, "plcIp");
            return (Criteria) this;
        }

        public Criteria andPlcIpGreaterThan(String value) {
            addCriterion("PLC_IP >", value, "plcIp");
            return (Criteria) this;
        }

        public Criteria andPlcIpGreaterThanOrEqualTo(String value) {
            addCriterion("PLC_IP >=", value, "plcIp");
            return (Criteria) this;
        }

        public Criteria andPlcIpLessThan(String value) {
            addCriterion("PLC_IP <", value, "plcIp");
            return (Criteria) this;
        }

        public Criteria andPlcIpLessThanOrEqualTo(String value) {
            addCriterion("PLC_IP <=", value, "plcIp");
            return (Criteria) this;
        }

        public Criteria andPlcIpLike(String value) {
            addCriterion("PLC_IP like", value, "plcIp");
            return (Criteria) this;
        }

        public Criteria andPlcIpNotLike(String value) {
            addCriterion("PLC_IP not like", value, "plcIp");
            return (Criteria) this;
        }

        public Criteria andPlcIpIn(List<String> values) {
            addCriterion("PLC_IP in", values, "plcIp");
            return (Criteria) this;
        }

        public Criteria andPlcIpNotIn(List<String> values) {
            addCriterion("PLC_IP not in", values, "plcIp");
            return (Criteria) this;
        }

        public Criteria andPlcIpBetween(String value1, String value2) {
            addCriterion("PLC_IP between", value1, value2, "plcIp");
            return (Criteria) this;
        }

        public Criteria andPlcIpNotBetween(String value1, String value2) {
            addCriterion("PLC_IP not between", value1, value2, "plcIp");
            return (Criteria) this;
        }

        public Criteria andPlcPortIsNull() {
            addCriterion("PLC_PORT is null");
            return (Criteria) this;
        }

        public Criteria andPlcPortIsNotNull() {
            addCriterion("PLC_PORT is not null");
            return (Criteria) this;
        }

        public Criteria andPlcPortEqualTo(String value) {
            addCriterion("PLC_PORT =", value, "plcPort");
            return (Criteria) this;
        }

        public Criteria andPlcPortNotEqualTo(String value) {
            addCriterion("PLC_PORT <>", value, "plcPort");
            return (Criteria) this;
        }

        public Criteria andPlcPortGreaterThan(String value) {
            addCriterion("PLC_PORT >", value, "plcPort");
            return (Criteria) this;
        }

        public Criteria andPlcPortGreaterThanOrEqualTo(String value) {
            addCriterion("PLC_PORT >=", value, "plcPort");
            return (Criteria) this;
        }

        public Criteria andPlcPortLessThan(String value) {
            addCriterion("PLC_PORT <", value, "plcPort");
            return (Criteria) this;
        }

        public Criteria andPlcPortLessThanOrEqualTo(String value) {
            addCriterion("PLC_PORT <=", value, "plcPort");
            return (Criteria) this;
        }

        public Criteria andPlcPortLike(String value) {
            addCriterion("PLC_PORT like", value, "plcPort");
            return (Criteria) this;
        }

        public Criteria andPlcPortNotLike(String value) {
            addCriterion("PLC_PORT not like", value, "plcPort");
            return (Criteria) this;
        }

        public Criteria andPlcPortIn(List<String> values) {
            addCriterion("PLC_PORT in", values, "plcPort");
            return (Criteria) this;
        }

        public Criteria andPlcPortNotIn(List<String> values) {
            addCriterion("PLC_PORT not in", values, "plcPort");
            return (Criteria) this;
        }

        public Criteria andPlcPortBetween(String value1, String value2) {
            addCriterion("PLC_PORT between", value1, value2, "plcPort");
            return (Criteria) this;
        }

        public Criteria andPlcPortNotBetween(String value1, String value2) {
            addCriterion("PLC_PORT not between", value1, value2, "plcPort");
            return (Criteria) this;
        }

        public Criteria andPlcAccessTypeIsNull() {
            addCriterion("PLC_ACCESS_TYPE is null");
            return (Criteria) this;
        }

        public Criteria andPlcAccessTypeIsNotNull() {
            addCriterion("PLC_ACCESS_TYPE is not null");
            return (Criteria) this;
        }

        public Criteria andPlcAccessTypeEqualTo(String value) {
            addCriterion("PLC_ACCESS_TYPE =", value, "plcAccessType");
            return (Criteria) this;
        }

        public Criteria andPlcAccessTypeNotEqualTo(String value) {
            addCriterion("PLC_ACCESS_TYPE <>", value, "plcAccessType");
            return (Criteria) this;
        }

        public Criteria andPlcAccessTypeGreaterThan(String value) {
            addCriterion("PLC_ACCESS_TYPE >", value, "plcAccessType");
            return (Criteria) this;
        }

        public Criteria andPlcAccessTypeGreaterThanOrEqualTo(String value) {
            addCriterion("PLC_ACCESS_TYPE >=", value, "plcAccessType");
            return (Criteria) this;
        }

        public Criteria andPlcAccessTypeLessThan(String value) {
            addCriterion("PLC_ACCESS_TYPE <", value, "plcAccessType");
            return (Criteria) this;
        }

        public Criteria andPlcAccessTypeLessThanOrEqualTo(String value) {
            addCriterion("PLC_ACCESS_TYPE <=", value, "plcAccessType");
            return (Criteria) this;
        }

        public Criteria andPlcAccessTypeLike(String value) {
            addCriterion("PLC_ACCESS_TYPE like", value, "plcAccessType");
            return (Criteria) this;
        }

        public Criteria andPlcAccessTypeNotLike(String value) {
            addCriterion("PLC_ACCESS_TYPE not like", value, "plcAccessType");
            return (Criteria) this;
        }

        public Criteria andPlcAccessTypeIn(List<String> values) {
            addCriterion("PLC_ACCESS_TYPE in", values, "plcAccessType");
            return (Criteria) this;
        }

        public Criteria andPlcAccessTypeNotIn(List<String> values) {
            addCriterion("PLC_ACCESS_TYPE not in", values, "plcAccessType");
            return (Criteria) this;
        }

        public Criteria andPlcAccessTypeBetween(String value1, String value2) {
            addCriterion("PLC_ACCESS_TYPE between", value1, value2, "plcAccessType");
            return (Criteria) this;
        }

        public Criteria andPlcAccessTypeNotBetween(String value1, String value2) {
            addCriterion("PLC_ACCESS_TYPE not between", value1, value2, "plcAccessType");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeIsNull() {
            addCriterion("CREATED_DATE_TIME is null");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeIsNotNull() {
            addCriterion("CREATED_DATE_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeEqualTo(Date value) {
            addCriterion("CREATED_DATE_TIME =", value, "createdDateTime");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeNotEqualTo(Date value) {
            addCriterion("CREATED_DATE_TIME <>", value, "createdDateTime");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeGreaterThan(Date value) {
            addCriterion("CREATED_DATE_TIME >", value, "createdDateTime");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("CREATED_DATE_TIME >=", value, "createdDateTime");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeLessThan(Date value) {
            addCriterion("CREATED_DATE_TIME <", value, "createdDateTime");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeLessThanOrEqualTo(Date value) {
            addCriterion("CREATED_DATE_TIME <=", value, "createdDateTime");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeIn(List<Date> values) {
            addCriterion("CREATED_DATE_TIME in", values, "createdDateTime");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeNotIn(List<Date> values) {
            addCriterion("CREATED_DATE_TIME not in", values, "createdDateTime");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeBetween(Date value1, Date value2) {
            addCriterion("CREATED_DATE_TIME between", value1, value2, "createdDateTime");
            return (Criteria) this;
        }

        public Criteria andCreatedDateTimeNotBetween(Date value1, Date value2) {
            addCriterion("CREATED_DATE_TIME not between", value1, value2, "createdDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeIsNull() {
            addCriterion("MODIFIED_DATE_TIME is null");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeIsNotNull() {
            addCriterion("MODIFIED_DATE_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeEqualTo(Date value) {
            addCriterion("MODIFIED_DATE_TIME =", value, "modifiedDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeNotEqualTo(Date value) {
            addCriterion("MODIFIED_DATE_TIME <>", value, "modifiedDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeGreaterThan(Date value) {
            addCriterion("MODIFIED_DATE_TIME >", value, "modifiedDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("MODIFIED_DATE_TIME >=", value, "modifiedDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeLessThan(Date value) {
            addCriterion("MODIFIED_DATE_TIME <", value, "modifiedDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeLessThanOrEqualTo(Date value) {
            addCriterion("MODIFIED_DATE_TIME <=", value, "modifiedDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeIn(List<Date> values) {
            addCriterion("MODIFIED_DATE_TIME in", values, "modifiedDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeNotIn(List<Date> values) {
            addCriterion("MODIFIED_DATE_TIME not in", values, "modifiedDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeBetween(Date value1, Date value2) {
            addCriterion("MODIFIED_DATE_TIME between", value1, value2, "modifiedDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedDateTimeNotBetween(Date value1, Date value2) {
            addCriterion("MODIFIED_DATE_TIME not between", value1, value2, "modifiedDateTime");
            return (Criteria) this;
        }

        public Criteria andModifiedUserIsNull() {
            addCriterion("MODIFIED_USER is null");
            return (Criteria) this;
        }

        public Criteria andModifiedUserIsNotNull() {
            addCriterion("MODIFIED_USER is not null");
            return (Criteria) this;
        }

        public Criteria andModifiedUserEqualTo(String value) {
            addCriterion("MODIFIED_USER =", value, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserNotEqualTo(String value) {
            addCriterion("MODIFIED_USER <>", value, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserGreaterThan(String value) {
            addCriterion("MODIFIED_USER >", value, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserGreaterThanOrEqualTo(String value) {
            addCriterion("MODIFIED_USER >=", value, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserLessThan(String value) {
            addCriterion("MODIFIED_USER <", value, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserLessThanOrEqualTo(String value) {
            addCriterion("MODIFIED_USER <=", value, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserLike(String value) {
            addCriterion("MODIFIED_USER like", value, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserNotLike(String value) {
            addCriterion("MODIFIED_USER not like", value, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserIn(List<String> values) {
            addCriterion("MODIFIED_USER in", values, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserNotIn(List<String> values) {
            addCriterion("MODIFIED_USER not in", values, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserBetween(String value1, String value2) {
            addCriterion("MODIFIED_USER between", value1, value2, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andModifiedUserNotBetween(String value1, String value2) {
            addCriterion("MODIFIED_USER not between", value1, value2, "modifiedUser");
            return (Criteria) this;
        }

        public Criteria andPcIpIsNull() {
            addCriterion("PC_IP is null");
            return (Criteria) this;
        }

        public Criteria andPcIpIsNotNull() {
            addCriterion("PC_IP is not null");
            return (Criteria) this;
        }

        public Criteria andPcIpEqualTo(String value) {
            addCriterion("PC_IP =", value, "pcIp");
            return (Criteria) this;
        }

        public Criteria andPcIpNotEqualTo(String value) {
            addCriterion("PC_IP <>", value, "pcIp");
            return (Criteria) this;
        }

        public Criteria andPcIpGreaterThan(String value) {
            addCriterion("PC_IP >", value, "pcIp");
            return (Criteria) this;
        }

        public Criteria andPcIpGreaterThanOrEqualTo(String value) {
            addCriterion("PC_IP >=", value, "pcIp");
            return (Criteria) this;
        }

        public Criteria andPcIpLessThan(String value) {
            addCriterion("PC_IP <", value, "pcIp");
            return (Criteria) this;
        }

        public Criteria andPcIpLessThanOrEqualTo(String value) {
            addCriterion("PC_IP <=", value, "pcIp");
            return (Criteria) this;
        }

        public Criteria andPcIpLike(String value) {
            addCriterion("PC_IP like", value, "pcIp");
            return (Criteria) this;
        }

        public Criteria andPcIpNotLike(String value) {
            addCriterion("PC_IP not like", value, "pcIp");
            return (Criteria) this;
        }

        public Criteria andPcIpIn(List<String> values) {
            addCriterion("PC_IP in", values, "pcIp");
            return (Criteria) this;
        }

        public Criteria andPcIpNotIn(List<String> values) {
            addCriterion("PC_IP not in", values, "pcIp");
            return (Criteria) this;
        }

        public Criteria andPcIpBetween(String value1, String value2) {
            addCriterion("PC_IP between", value1, value2, "pcIp");
            return (Criteria) this;
        }

        public Criteria andPcIpNotBetween(String value1, String value2) {
            addCriterion("PC_IP not between", value1, value2, "pcIp");
            return (Criteria) this;
        }
    }

    /**
     * This class was generated by MyBatis Generator.
     * This class corresponds to the database table resource_plc_info
     *
     * @mbggenerated do_not_delete_during_merge
     */
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    /**
     * This class was generated by MyBatis Generator.
     * This class corresponds to the database table resource_plc_info
     *
     * @mbggenerated
     */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}